# PageSize enum

Page size.

Inheritance
  - Object
  - Enum
  - PageSize
Available extensions
  - EnumName

## Values

LETTER → const PageSize

  8.5 x 11 (inches) 612 x 792 (pixels) at 72 DPI.

LEGAL → const PageSize

  8.5 x 14 (inches) 612 x 1008 (pixels) at 72 DPI.

A3 → const PageSize

  297 x 420 (mm) 841.89 x 1199.551 (pixels) at 72 DPI.

A4 → const PageSize

  210 x 297 (mm) 595.276 x 841.89 (pixels) at 72 DPI.

A5 → const PageSize

  148 x 210 (mm) 419.528 x 595.276 (pixels) at 72 DPI.

B4 → const PageSize

  250 x 353 (mm) 708.661 x 1000.63 (pixels) at 72 DPI.

B5 → const PageSize

  176 x 250 (mm) 498.898 x 708.661 (pixels) at 72 DPI.

EXECUTIVE → const PageSize

  7.25 x 10.5 (inches) 522 x 756 (pixels) at 72 DPI.

US4x6 → const PageSize

  4 x 6 (inches) 288 x 432 (pixels) at 72 DPI.

US4x8 → const PageSize

  4 x 8 (inches) 288 x 576 (pixels) at 72 DPI.

US5x7 → const PageSize

  5 x 7 (inches) 360 x 504 (pixels) at 72 DPI.

COMM10 → const PageSize

  4.125 x 9.5 (inches) 297 x 684 (pixels) at 72 DPI.

CUSTOM → const PageSize

  Physical size will be calculated from the image dimensions and the `dpi` parameter.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<PageSize>
  A constant List of the values in this enum, in order of their declaration.